Clarity

Expand all | Collapse all

Upgrade CA PPM 13.2 SP9 to 14.3

Jump to Best Answer
  • 1.  Upgrade CA PPM 13.2 SP9 to 14.3

    Posted 02-01-2017 10:41 AM
      |   view attached
    Hello everyone,

    We are migrating to 14.3 and without an apparent error the installer freezes in the next step:

    ===================================================================== ============
    Running the Ant script: E: \ APPS \ CAPPM132 \ CAPPM132 \ upgrade \ 14.1.0 \ infrastructure \ po
    Stupgrade \ pma.xml
    NSQL Validation
    Validation of 219 queries NSQL grid / graph ...

    Next, we modify the NSQLs with error and upgrade with the option FORCE (force install.bat) and also it freeze in the same step

    We readed that the FORCE option is disable, but what concerns us is that,  the first run, the installer does not continue and not we giving us an accurate error or warning.

    attach install.log

    thks in advance.

    Attachment(s)

    zip
    install.log.zip   38K 1 version


  • 2.  Re: Upgrade CA PPM 13.2 SP9 to 14.3
    Best Answer

    Broadcom Employee
    Posted 02-03-2017 05:47 PM

    Hi Ricardo


    This issue with upgrade hanging on NSQL queries can happen because of some of your queries not being compatible with the Oracle JDBC driver. We had cases in which it was due to a blank space or sometimes just specific functions being called.

     

    Please try the following:
    1. Check if you have upgrade-bootstrap-ca.log - this may indicate which query is causing an issue. If you see it, then just blank out the query before continuing.
    2. If you cannot find which query causes the issue, you will have to use another version of the Oracle driver during the install. This is a very rare case when the JDBC driver doesn't like your query.
    To do this, get your c-oracle and c-clarity jar from 13.2 and put them to replace the existing ones in:

    For 14.1,
    1. install-packages\14.1.0\upgrade-repack.14.1.0.431tpexcludes\tools\lib
    2. install-packages\14.1.0\upgrade-repack.14.1.0.431tpexcludes\package.jar\lib

    For 14.2,
    1. install-packages\14.2.0\tools\lib
    2. install-packages\14.2.0\package.jar\lib

     

    Repackage everything and ensure you get rid of the extracted folders. Then try again. Please do not use FORCE, this is not a supported option and can lead to issues.

     

    After that if you still have an issue please raise a Support ticket and let me know the number, I'll help you out.

    Regards -Nika



  • 3.  Re: Upgrade CA PPM 13.2 SP9 to 14.3

    Posted 02-06-2017 01:19 PM

    Thank you very much Nika

    We keep in touch